package common

type StorageSize int

// StorageType - Enum that defines the type of storage
const (
	GB StorageSize = iota
	MB
	KB
)

var argoType = [...]string{
	"Gi",
	"Mi",
	"Ki",
}

// New creates a new instance of the StorageResource struct
func (dma StorageSize) ToArgo() string {
	return argoType[dma]
}

// enum of a data type
type StorageType int

const (
	FILE = iota
	STREAM
	API
	DATABASE
	S3
	MEMORY
	HARDWARE
)
